Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.j2ee
Class MessageBeanCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractJ2eeCheck
                      com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractBeanCheck
                          com.puppycrawl.tools.checkstyle.checks.j2ee.MessageBeanCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class MessageBeanCheck
extends AbstractBeanCheck

Checks that a MessageBean implementation satisfies MessageBean requirements. Such as:

- The class is defined as `public`.
- The class cannot be defined as `abstract` or `final`.
- It implements one ejbCreate method.
- It contains a `public` constructor with no parameters.
- It must not define the `finalize` method.

Reference: Enterprise JavaBeansTM Specification,Version 2.0, section 15.7 http://java.sun.com/j2ee/tutorial/1_3-fcs/doc/MDB4.html#69040

Author:
  Rick Giles

Constructor Summary
`MessageBeanCheck()` Constructs a `MessageBeanCheck`.

Method Summary
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractBeanCheck
`checkBean, getDefaultTokens, getRequiredTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractJ2eeCheck
`getMethodChecker, log, logName, setMethodChecker`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBeanCheck

    public MessageBeanCheck()

  Constructs a `MessageBeanCheck`.

Method Detail

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process
  See Also:
    `Check`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD